@ECHO OFF
REM This script creates Cindy reports for a remote computer
REM You need local admin rights on the target computer
REM Report files will be stored in a subfolder to the script folder 
REM named by the computername
REM Three reports will be created in Quick, Basic and Verbose mode
REM Attention: This takes a while and might cause errors (in rare cases) 
REM but will not harm your systems
REM Version 1.5 of May 11, 2015
REM Author: Nils Kaczenski, faq-o-matic.net

IF "%1"=="" (
	ECHO No remote computer name specified!
	ECHO   Syntax:
	ECHO   Cindy-RemoteReport COMPUTERNAME
	GOTO :eof
)

ECHO.
ECHO Target host: %1
ECHO Start time: %time%

PING -n 1 %1>NUL || (ECHO No reply from %1 & GOTO :eof)

REM simple method to get the date in ISO format
REM independently of regional settings
SET DateTempFile=%RANDOM%Temp.vbs
CD %0\..
ECHO dtmNow = Now()>%DateTempFile%
ECHO strDate = Year(dtmNow) ^& Right("0" ^& Month(dtmNow),2) ^& Right("0" ^& Day(dtmNow), 2)>>%DateTempFile%
ECHO WScript.Echo strDate>>%DateTempFile%
FOR /F " usebackq delims==" %%a IN (`@CSCRIPT //NOLOGO %DateTempFile%`) DO (
	SET MyDate=%%a
)
DEL %DateTempFile%

CD %0\..
SET folder=%userdomain%-%1
IF NOT EXIST %folder% MD %folder%
ECHO %1 Quick Report
CSCRIPT //nologo cindy.vbs %1>%folder%\%1-%MyDate%.txt
ECHO %1 Basic Report
CSCRIPT //nologo cindy.vbs %1 /mode:basic>%folder%\%1-%MyDate%-Basic.txt
ECHO %1 Verbose Report
CSCRIPT //nologo cindy.vbs %1 /mode:all>%folder%\%1-%MyDate%-All.txt
ECHO %1 Finished
ECHO End time: %time%
ECHO.
